Bug 35378 - d-i has to install and start USS
d-i has to install and start USS
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 17:56 CEST by Sönke Schwardt-Krummrich
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-07-15 17:56:35 CEST
The d-i has to install and start USS. Ideally without reboot.
Comment 1 Philipp Hahn univentionstaff 2014-07-17 15:55:26 CEST
If a direct chroot() does not work, kexec might be better then going through a BIOS reboot; there already is a kexec.udeb included with the Debian installer.
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2014-08-13 16:17:40 CEST
The following line has been added to the preseed file which is generated in 
build-cd-ucs4:

d-i base-installer/includes string univention-system-setup-boot univention-management-console-server univention-management-console-web-server univention-management-console-module-setup xinit iceweasel

Since the base-installer does not install recommended files, the packages xinit and iceweasel (firefox is not present in UCS4 yet) had to be added too.

The package di-univention-system-setup has been added which calls USS via

if [ -n "$DISPLAY" ]; then
  chroot /target /usr/share/univention-system-setup/startxwithfirefox --installer
fi

If in text mode, the start of USS is omitted.
Comment 3 Philipp Hahn univentionstaff 2014-08-18 15:30:05 CEST
(In reply to Sönke Schwardt-Krummrich from comment #2)
> The package di-univention-system-setup has been added which calls USS via
>
> if [ -n "$DISPLAY" ]; then
>   chroot /target /usr/share/univention-system-setup/startxwithfirefox
> --installer

That should be changed to
 in-target /usr/share/univention-system-setup/startxwithfirefox --installer
Comment 4 Philipp Hahn univentionstaff 2014-08-19 18:21:49 CEST
r52841 | Bug #35378 d-i: Remove dummy question
 Use in-target
Package: di-univention-system-setup
Version: 0.0.9-1.12.201408191735
Branch: ucs_4.0-0
Comment 5 Philipp Hahn univentionstaff 2014-08-20 10:43:09 CEST
(In reply to Philipp Hahn from comment #3)
> (In reply to Sönke Schwardt-Krummrich from comment #2)
> >   chroot /target /usr/share/univention-system-setup/startxwithfirefox
...
> That should be changed to
>  in-target /usr/share/univention-system-setup/startxwithfirefox --installer

No, it breaks the installation, as in-target creates a all-denying /usr/sbin/policy-rc.d

r52860 | Bug #35378: Revert use of in-target [r52841]
Package: di-univention-system-setup
Version: 0.0.9-2.13.201408201036
Branch: ucs_4.0-0
Comment 6 Philipp Hahn univentionstaff 2014-08-20 18:15:01 CEST
r52877 | Bug #35378: Start network in chroot
 Also start univention-runit

Package: di-univention-system-setup
Version: 0.0.9-3.14.201408201803
Branch: ucs_4.0-0
Comment 7 Philipp Hahn univentionstaff 2014-08-26 13:31:39 CEST
USS is started directly from D-I.

RFC: di-univention-system-setup should be merged into the univention-system-setup source package, as some commands are now in di-u-s-s.postinst and some in "startxwithfirefox --installer"?
Comment 8 Felix Botner univentionstaff 2014-08-26 17:03:24 CEST
should we switch back to firefox (univention-mozilla-firefox)?

(In reply to Philipp Hahn from comment #7)
> USS is started directly from D-I.
> 
> RFC: di-univention-system-setup should be merged into the
> univention-system-setup source package, as some commands are now in
> di-u-s-s.postinst and some in "startxwithfirefox --installer"?
OK, if you want to do that
Comment 9 Philipp Hahn univentionstaff 2014-08-26 21:19:05 CEST
(In reply to Felix Botner from comment #8)
> should we switch back to firefox (univention-mozilla-firefox)?

r53053 | Bug #35266 CD: Use firefox instead of iceweasel by default
 See Bug #35266 comment 10, which only patched univention-system-setup-boot, but not repo-ng/build-cd/build-cd-ucs4 # DVDBuilder.generate_preseed() - ..pkgsel/include..iceweasel
 The explicit installation of iceweasel has been removed, as the recommended firefox-en is now installed by pkgsel/include

FYI: Needed r53055 (Bug #30547) to fix dpkg-name.

Package: repo-ng
Version: 2.0-66.1312.201408262029
Branch: ucs_3.2-0
Scope: internal


> (In reply to Philipp Hahn from comment #7)
> > USS is started directly from D-I.
> > 
> > RFC: di-univention-system-setup should be merged into the
> > univention-system-setup source package, as some commands are now in
> > di-u-s-s.postinst and some in "startxwithfirefox --installer"?
> OK, if you want to do that

r53054 | Bug #35378 USS: Merge di-univention-system-setup package
r53056 | Bug #35378 USS: Merge di-univention-system-setup package
r53057 | Bug #35378 USS: Merge di-univention-system-setup package

Package: univention-system-setup
Version: 8.0.29-2.651.201408262038
Branch: ucs_4.0-0
Comment 10 Philipp Hahn univentionstaff 2014-08-27 10:11:43 CEST
With DHCP the IPv4 address was not registered and /etc/hosts was missing $hostname.$domainname, which /etc/ldap/ldap.conf is using. Thus everything LDAP related failed.

r53071 | Bug #35378 USS: Start network in chroot
"ifup -a" -> "service networking start"
Package: univention-system-setup
Version: 8.0.29-3.652.201408270958
Branch: ucs_4.0-0
Comment 11 Felix Botner univentionstaff 2014-08-27 12:46:11 CEST
OK - USS during installation without reboot
OK - firefox
OK - di-univention-system-setup merged into univention-system-setup
OK - installation with DHCP

OK - Changelog
Comment 12 Felix Botner univentionstaff 2014-08-27 14:03:28 CEST
The sources.list after installation looks like this 

-> more /etc/apt/sources.list
#

# deb cdrom:[Debian GNU/Linux 4.0-0 _Ucs400_ - Official Release amd64 DVD Binary-1 20140827-10:49]/ ucs400 main

#deb cdrom:[Debian GNU/Linux 4.0-0 _Ucs400_ - Official Release amd64 DVD Binary-1 20140827-10:49]/ ucs400 main

In UCS 3.2 

-> more /etc/apt/sources.list
# This file is not maintained via Univention Configuration Registry
# and can be used to add further package repositories manually


Maybe we should cleanup the sources.list in univention-system-setup/usr/share/univention-system-setup/startxwithfirefox?
Comment 13 Philipp Hahn univentionstaff 2014-08-27 15:59:17 CEST
(In reply to Felix Botner from comment #12)
> -> more /etc/apt/sources.list
> # This file is not maintained via Univention Configuration Registry
> # and can be used to add further package repositories manually

r53093 | Bug #35378 USS: clean /etc/apt/sources.list

Package: univention-system-setup
Version: 8.0.31-1.654.201408271514
Branch: ucs_4.0-0

/var/univention/buildsystem2/isotests/ucs_4.0-0-20140827-153007-dvd-amd64.iso
Comment 14 Felix Botner univentionstaff 2014-08-27 16:22:42 CEST
(In reply to Philipp Hahn from comment #13)
> (In reply to Felix Botner from comment #12)
> > -> more /etc/apt/sources.list
> > # This file is not maintained via Univention Configuration Registry
> > # and can be used to add further package repositories manually
> 
> r53093 | Bug #35378 USS: clean /etc/apt/sources.list
> 
> Package: univention-system-setup
> Version: 8.0.31-1.654.201408271514
> Branch: ucs_4.0-0
> 
> /var/univention/buildsystem2/isotests/ucs_4.0-0-20140827-153007-dvd-amd64.iso

OK
Comment 15 Stefan Gohmann univentionstaff 2014-11-26 06:55:14 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".